// Copyright (c) 2016, Xhive LLC
// For license information, please see license.txt

xhiveframework.ui.form.on("Vehicle Log", {
	refresh: function(frm) {
		if(frm.doc.docstatus == 1) {
			frm.add_custom_button(__('Expense Claim'), function() {
				frm.events.expense_claim(frm);
			}, __('Create'));
			frm.page.set_inner_btn_group_as_primary(__('Create'));
		}
	},

	expense_claim: function(frm){
		xhiveframework.call({
			method: "hrms.hr.doctype.vehicle_log.vehicle_log.make_expense_claim",
			args:{
				docname: frm.doc.name
			},
			callback: function(r){
				var doc = xhiveframework.model.sync(r.message);
				xhiveframework.set_route('Form', 'Expense Claim', r.message.name);
			}
		});
	}
});
