<div align="center" markdown="1">
<img src=".github/xhiveframework-hr-logo.png" alt="Xhiveframework HR logo" width="170" style="max-width: 100%;"/>

Open Source, modern, and easy-to-use HR and Payroll Software for all organizations.

[![CI](https://github.com/xhiveframework/hrms/actions/workflows/ci.yml/badge.svg?branch=develop)](https://github.com/xhiveframework/hrms/actions/workflows/ci.yml)
[![codecov](https://codecov.io/gh/xhiveframework/hrms/branch/develop/graph/badge.svg?token=0TwvyUg3I5)](https://codecov.io/gh/xhiveframework/hrms)


[https://xhiveframeworkhr.com](https://xhiveframeworkhr.com)

</div>

## Introduction

Xhiveframework HR has everything you need to drive excellence within the company. It's a complete HRMS solution with over 13 different modules right from Employee Management, Onboarding, Leaves, to Payroll, Taxation, and more!

![HRMS](hrms.png)

## Key Features

- Employee Management
- Employee Lifecycle
- Leave and Attendance
- Shift Management
- Expense Claims and Advances
- Hiring
- Performance Management
- Fleet Management
- Training
- Payroll
- Taxation
- Compensation
- Analytics

## Installation

1. [Install bench](https://github.com/xhiveframework/bench).
2. [Install XhiveERP](https://github.com/xhiveframework/bench#installation).
3. Once XhiveERP is installed, add the hrms app to your bench by running

	```sh
	$ bench get-app hrms
	```
4. After that, you can install the hrms app on the required site by running
	```sh
	$ bench --site sitename install-app hrms
	```


## Learning and Community

1. [Documentation](https://xhiveframeworkhr.com/docs) - Extensive documentation for Xhiveframework HR.
2. [User Forum](https://discuss.xhiveerp.com/) - Engage with the community of XhiveERP users and service providers.
3. [Telegram Group](https://t.me/xhiveframeworkhr) - Get instant help from the community of users.

## Contribute

1. [Issue Guidelines](https://github.com/xhiveframework/xhiveerp/wiki/Issue-Guidelines) - [Create an issue](https://github.com/xhiveframework/hrms/issues/new)
1. [Contribution Guidelines](https://github.com/xhiveframework/xhiveerp/wiki/Contribution-Guidelines)

## License

GNU GPL V3. (See [license.txt](license.txt) for more information).

The HR code is licensed as GNU General Public License (v3) and the copyright is owned by Xhive LLC Pvt Ltd (Xhiveframework) and Contributors.
